Bug 456439 - Bluetooth KCM Kirigami Overlay Sheet background darkening animation issues
Summary: Bluetooth KCM Kirigami Overlay Sheet background darkening animation issues
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_bluetooth (show other bugs)
Version: 5.25.2
Platform: Other Other
: NOR normal (vote)
Target Milestone: ---
Assignee: David Rosca
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-07 10:58 UTC by Phos
Modified: 2022-07-14 13:29 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.26


Attachments
bluetooth_kcm (159.75 KB, video/mp4)
2022-07-07 10:58 UTC, Phos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Phos 2022-07-07 10:58:43 UTC
Created attachment 150459 [details]
bluetooth_kcm

SUMMARY
The background doesn't darken properly when removing a connected bluetooth device. It immediately darkens with no fade animation.


STEPS TO REPRODUCE
1. Open bluetooth KCM
2. Try to remove a device

OBSERVED RESULT
The background snaps in at the end of the overlay sheet window animation appearing rather than fading in alongside it.

EXPECTED RESULT
It should fade in alongside it.

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.25.2
KDE Frameworks Version: 5.95.0
Qt Version: 5.15.5
Kernel Version: 5.18.8-zen1-1-zen (64-bit)
Graphics Platform: Wayland
Comment 1 Nate Graham 2022-07-13 18:16:09 UTC
Can reproduce. This is using a custom dialog rather than something like Kirigami.PromptDialog. Porting to that should fix the problem.
Comment 2 Bug Janitor Service 2022-07-14 04:08:17 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/bluedevil/-/merge_requests/84
Comment 3 Nate Graham 2022-07-14 13:29:02 UTC
Git commit 65656cba01947b86284effad610edf7ba3d65e1c by Nate Graham.
Committed on 14/07/2022 at 13:28.
Pushed by ngraham into branch 'master'.

kcm: Standardize device deletion UI

Right now the UI is rather inconsistent, using three different words to
describe the action ("Remove", "Delete," and "Forget") and implementing
a custom dialog plus darkened overlay.

Let's standardize on the word "Forget" and use a standard `Kirigami.PromptDialog`
which was made for exactly this type of thing.
FIXED-IN: 5.26

M  +36   -32   src/kcm/package/contents/ui/main.qml

https://invent.kde.org/plasma/bluedevil/commit/65656cba01947b86284effad610edf7ba3d65e1c